POST
/useroperationId:
createUserCreate user.
This can only be done by the logged in user.
🔒petstore_auth
🔒api_key
api_key: <your-key>Request Body optional
application/json
| Name | Type | Required | Example / Values |
|---|---|---|---|
| object | |||
| id | integer (int64) | optional | Example: 10 |
| username | string | optional | Example: "theUser" |
| firstName | string | optional | Example: "John" |
| lastName | string | optional | Example: "James" |
| string | optional | Example: "[email protected]" | |
| password | string | optional | Example: "12345" |
| phone | string | optional | Example: "12345" |
| userStatus | integer (int32) | optional | User Status Example: 1 |
Example
{
"id": 10,
"username": "theUser",
"firstName": "John",
"lastName": "James",
"email": "[email protected]",
"password": "12345",
"phone": "12345",
"userStatus": 1
}application/xml
| Name | Type | Required | Example / Values |
|---|---|---|---|
| object | |||
| id | integer (int64) | optional | Example: 10 |
| username | string | optional | Example: "theUser" |
| firstName | string | optional | Example: "John" |
| lastName | string | optional | Example: "James" |
| string | optional | Example: "[email protected]" | |
| password | string | optional | Example: "12345" |
| phone | string | optional | Example: "12345" |
| userStatus | integer (int32) | optional | User Status Example: 1 |
Example
{
"id": 10,
"username": "theUser",
"firstName": "John",
"lastName": "James",
"email": "[email protected]",
"password": "12345",
"phone": "12345",
"userStatus": 1
}application/x-www-form-urlencoded
| Name | Type | Required | Example / Values |
|---|---|---|---|
| object | |||
| id | integer (int64) | optional | Example: 10 |
| username | string | optional | Example: "theUser" |
| firstName | string | optional | Example: "John" |
| lastName | string | optional | Example: "James" |
| string | optional | Example: "[email protected]" | |
| password | string | optional | Example: "12345" |
| phone | string | optional | Example: "12345" |
| userStatus | integer (int32) | optional | User Status Example: 1 |
Example
{
"id": 10,
"username": "theUser",
"firstName": "John",
"lastName": "James",
"email": "[email protected]",
"password": "12345",
"phone": "12345",
"userStatus": 1
}Responses
▼200 OK — successful operation
▼default — Unexpected error